import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import ModxLogoLight from './ModxLogoLight';
import ModxLogoDark from './ModxLogoDark';
import { useThemeModification, useBrandModification } from '../../utils';
const ModxLogoSvg = forwardRef(function ModxLogoSvg(props, ref) {
    const { isDarkTheme } = useThemeModification();
    const { isDarkBrand } = useBrandModification();
    return isDarkTheme || isDarkBrand ? _jsx(ModxLogoDark, Object.assign({}, props, { ref: ref })) : _jsx(ModxLogoLight, Object.assign({}, props, { ref: ref }));
});
export default ModxLogoSvg;
